# encoding: utf-8

class ImageUploader < CarrierWave::Uploader::Base
  include CarrierWaveDirect::Uploader
  include CarrierWave::MimeTypes
  process :set_content_type


  def initialize(*)
    super
    JamRuby::UploaderConfiguration.set_aws_public_configuration(self)
  end


  # Add a white list of extensions which are allowed to be uploaded.
  def extension_white_list
    %w(jpg jpeg gif png)
  end

end
